import java.util.*;
import java.awt.*;
import java.awt.Graphics;
import java.awt.Graphics2D;

public class BotonPass extends PlayableElement {
   private static int id=0;
   private final int x;
   private final int y;
   private Vector2D pos;
   public int imagen = 0;
   private BotonPassView view;
   
   private BotonPass(){   // nobody can create a Receptacle without state
     super(id++);
     x = 0;
     y = 0;
   }
   public BotonPass(int pos_x, int pos_y){
      super(id++);
      x = pos_x; //coordenadas del espacio
      y = pos_y;
      view = new BotonPassView(this);
      
   }
   public Vector2D getPosition(){
      Vector2D posi = new Vector2D(x,y);
		return posi;
	}
   public void paintView(Graphics2D g){
      view.draw(g);
   }
   public void setPosition(Vector2D p) {
   }
   public int getRow(){
		return 0;
	}
	public int getCol(){
		return 0;
	}
   
   
   
     
   public void updateImage(int act){
		view.updateImage(act);
		this.imagen = act;
	}
}